Subject: [lojban] Bug in word break algorithm

From: Pierre Abbat <[email-masked]>
Date: Mon, 6 Jan 2003 09:48:03 -0500

3] If the piece we have left starts with a vowel, find the first
consonant. If the first consonant is part of a consonant cluster
(only CC-form this time), and this consonant cluster is NOT a valid
initial cluster (with each adjacent pair of consonants is a valid
initial pair), then we can resolve the entire piece as a le'avla
(e.g. /antipAsto/); otherwise (if the first consonant is NOT part of
a consonant cluster, or the consonant cluster IS a valid initial
cluster), break off before the first consonant as a cmavo (e.g.
/a'ofArlu/ becomes /a'o/ = cmavo + /fArlu/ = unresolved; or,
/aismAcu/ becomes /ai/ = cmavo + /smAcu/ = unresolved).

This gives the wrong answer if the part after the vowel is a slinku'i, for 
example /esKRIma/. How can I recognize a slinku'i by the front-middle method 
or something similar?

phma